<?xml version="1.0" encoding="UTF-8"?>
<Configuration monitorInterval="60">
<Properties>
   	<Property name="log-path">logs</Property>
   	<Property name="archive">${log-path}/archive</Property>
   	<Property name="log-pattern">[%-5level] [%d{yyyy-MM-dd HH:mm:ss.SSS}] [%c{1}] %msg%n</Property>
</Properties>
<Appenders>
    <Console name="Console" target="SYSTEM_OUT">
        <PatternLayout pattern="${log-pattern}"/>
    </Console>
    <RollingFile name="MainFile"
             fileName="${log-path}/elk_data_audit_service.log"
             filePattern="${archive}/elk_data_audit_service.log.%d{yyyy-MM-dd-hh}-%i.gz">
    	<PatternLayout pattern="${log-pattern}"/>
        <Policies>
             <TimeBasedTriggeringPolicy interval="1"/>
             <SizeBasedTriggeringPolicy size="50 MB"/>
        </Policies>
        <DefaultRolloverStrategy max="30"/>
	</RollingFile>        
	<RollingFile name="JobFile"
             fileName="${log-path}/elk_job.log"
             filePattern="${archive}/elk_job.log.%d{yyyy-MM-dd-hh}-%i.gz">
    	<PatternLayout pattern="${log-pattern}"/>
        <Policies>
             <TimeBasedTriggeringPolicy interval="1"/>
             <SizeBasedTriggeringPolicy size="50 MB"/>
        </Policies>
        <DefaultRolloverStrategy max="30"/>
	</RollingFile>
	<RollingFile name="TracingReporter"
             fileName="${log-path}/tracing_reporter.log"
             filePattern="${archive}/tracing_reporter.log.%d{yyyy-MM-dd-hh}-%i.gz">
    	<PatternLayout pattern="${log-pattern}"/>
        <Policies>
             <TimeBasedTriggeringPolicy interval="1"/>
             <SizeBasedTriggeringPolicy size="50 MB"/>
        </Policies>
        <DefaultRolloverStrategy max="30"/>
	</RollingFile> 
</Appenders>
<Loggers>
    <AsyncLogger name="org.hibernate.sql" level="error" additivity="false">
        <AppenderRef ref="MainFile" level="error"/>               
    </AsyncLogger>
    <AsyncLogger name="vn.datamart.dataauditservice.job.ScheduleScanJob" level="debug" additivity="false">
        <AppenderRef ref="JobFile" level="debug"/>                       
    </AsyncLogger>
    <AsyncLogger name="org.springframework.transaction" level="error" additivity="false">                       
        <AppenderRef ref="MainFile"/>
    </AsyncLogger>
    <AsyncLogger name="io.jaegertracing.internal.reporters" level="info" additivity="false">
        <AppenderRef ref="TracingReporter"/>
        <AppenderRef ref="Console"/>                       
    </AsyncLogger>
	<Root level="info">	    
	    <AppenderRef ref="MainFile"/>
	    <AppenderRef ref="Console"/>
	</Root>
</Loggers>
</Configuration>